Pegex::Tree::Wrap(3)

NAME
Pegex::Tree::Wrap - Pegex Wrapper Parse Tree Receiver

SYNOPSIS
    use Pegex;
    $tree = pegex($grammar, 'Pegex::Tree::Wrap')->parse($input);

DESCRIPTION
Pegex::Tree::Wrap is receiver class that will shape the captured data from a Pegex parse operation into a tree made out of hashes. The keys of the hashes are the rule names that matched, and the values are arrays of captured data.

This module is not often used as a receiver base class, but it is the default receiver for a Pegex parse. That's because the tree is very readable with all the rule keys in it.

SEE ALSO

•   Pegex::Receiver

•   Pegex::Tree

AUTHOR
Ingy döt Net <ingy@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2010-2020. Ingy döt Net.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>